unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, XPMan, StdCtrls, ExtCtrls, RackCtls, SRGrad;

type
  THelp = class(TForm)
    cbb1: TComboBox;
    BgGrad1: TSRGradient;
    btn1: TButton;
    mmo1: TMemo;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btn1Click(Sender: TObject);
    procedure cbb1Change(Sender: TObject);
    procedure cbb1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Help: THelp;

implementation

uses Unit1;

{$R *.dfm}

procedure THelp.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Launcher.btn4.LEDContrast:= 9;
  Launcher.btn4.StateOn:=false;
end;

procedure THelp.btn1Click(Sender: TObject);
begin
  if (cbb1.ItemIndex) = 0 then
    begin
    Help.Height   := 210;
    BgGrad1.Height:= 210;
    mmo1.Text:= 'Это - одна игра, исполненная в двух вариациях. У каждой из них есть как плюсы, так и минусы. Однако, если вы играете в первый раз, обязательно запускайте Lite';
    end;

  if (cbb1.ItemIndex) = 1 then
    begin
    Help.Height   := 210;
    BgGrad1.Height:= 210;
    mmo1.Text:= 'Движения в игре осуществляется с помощью кнопок-стрелочек, расположенных на клавиатуре. Для того чтобы предельно точно разобраться, начните игру с Lite версии';
    end;

  if (cbb1.ItemIndex) = 2 then
    begin
    Help.Height   := 230;
    BgGrad1.Height:= 230;
    mmo1.Height:= 109;
    mmo1.Text:= 'Для того чтобы выиграть, в Lite версии необходимо достигнуть правого верхнего, либо правого нижнего угла. Учтите, что в Full версии уровни генерируются случайным образом, ';
    mmo1.Lines.Add('однако фнишные точки, до которых вам необходимо доплыть, имеют такое же обозначение. Мораль. Начинайте играть с Lite версии');
    end;

  if (cbb1.ItemIndex) = 3 then
    begin
    Help.Height   := 210;
    BgGrad1.Height:= 210;
    mmo1.Text:= 'Автор программы: Попов Евгений Юрьевич';
    mmo1.Lines.Add('skype: linegel');
    mmo1.Lines.Add('icq: 7299965');
    mmo1.Lines.Add('mail: linegeji@gmail.com');
    mmo1.Lines.Add('Сайт автора: create4you.ru; Там вы сможете скачать последнюю версию программы');
    end;

  if (cbb1.ItemIndex) = 4 then Close;
end;

procedure THelp.cbb1Change(Sender: TObject);
begin
  btn1.Enabled:= True;
end;

procedure THelp.cbb1Click(Sender: TObject);
begin
  Height:= 100;
  BgGrad1.Height:= 100;
  mmo1.Height:= 89;
end;

end.
